## Mit találsz ebben a publikus repóban?

A Vagrantról írtam több cikket is a [honlapomon](https://msandor.hu/category/vagrant/).
Ennek a vége az lett, hogy létrehozunk 4 különböző VM-et, ebben a felállásban:

| Hoszt név | IP cím | Oprendszer |
| --- | --- | --- |
| vm1 | 192.168.56.2 | CentOS 7 |
| vm2 | 192.168.56.3 | Alma Linux 8 |
| vm3 | 192.168.56.4 | Ubuntu 22.04 |
| vm4 | 192.168.56.5 | Debian 11 |

Arra gondoltam, hogy ha már van egy `Vagrantfile`-om, jó alap lesz egy későbbi projekthez.


Aztán belevágtam az Ansible [bemutatásába](https://msandor.hu/category/ansible/).

Bővült a fájlok listája:

```
├── ansible.cfg
├── inventory
│   ├── group_vars
│   │   └── all.yml
│   └── inventory.yml
├── log
├── playbook
│   └── install-zabbix-agent.yml
├── tasks
│   ├── configure-zabbix_agent.yml
│   ├── install-zabbix_agent.yml
│   └── service-zabbix_agent.yml
└── templates
    └── zabbix_agentd.conf.j2
```
A végére elkészült ansible playbook feltelepítette és beállította a zabbix-agentet a 4 VM-re.


Ez megágyazott a zabbix-servert bemutató [cikkeimnek](https://msandor.hu/category/zabbix/).
Közben beláttam, hogy jobb lenne a zabbix szervernek is egy dedikált VM.
A végére frissítettem 1-1 oprendszert is

Bővítettem a taskokat, feltelepíti a dockert is a playbook.
Bővítettem a Vagrantfile-t is, ez pedig létrehozza a docker-compose.yml-t.
A konténereket kézzel kell indítani az alábbi paranccsal (természetesen a zbxsrv-ben):
```
[vagrant@zbxsrv ~]$ sudo docker compose -f docker/zabbix-server/docker-compose.yml up -d
[+] Running 4/4
 ✔ Network zabbix-server_customnetwork  Created          0.1s
 ✔ Container zabbix-web                 Started          1.0s
 ✔ Container zabbix-db                  Started          0.9s
 ✔ Container zabbix-server              Started          1.0s
[vagrant@zbxsrv ~]$
```

| Hoszt név | IP cím | Oprendszer |
| --- | --- | --- |
| vm1 | 192.168.56.2 | CentOS 7 |
| vm2 | 192.168.56.3 | Alma Linux 8 |
| vm3 | 192.168.56.4 | Ubuntu 22.04 |
| vm4 | 192.168.56.5 | Debian 12 |
| zbxsrv | 192.168.56.6 | Alma Linux 9 |


Összefoglalva, ez lett a letölthető git repó:

```
├── ansible.cfg
├── changelog.md
├── inventory
│   ├── group_vars
│   │   └── all.yml
│   └── inventory.yml
├── LICENSE
├── log
├── playbook
│   └── install-zabbix-agent.yml
├── README.md
├── tasks
│   ├── configure-zabbix_agent.yml
│   ├── install-docker-repo.yml
│   ├── install-docker.yml
│   ├── install-zabbix_agent.yml
│   ├── install-zabbix-repo.yml
│   ├── service-docker.yml
│   └── service-zabbix_agent.yml
├── templates
│   ├── zabbix_agentd.conf.j2
│   └── zabbix.psk.j2
└── Vagrantfile
```


## Hogyan kell letölteni?
- Van git a gépeden? Ha nincs:
  - `$ sudo yum install git -y`

    vagy
  - `$ sudo apt install git -y`

- Van már erre létrehozott mappád, pl `git`? Ha nincs:
  - `$ mkdir git`
  - `$ git clone https://git.msandor.hu/demo/ansible_vagrant.git`

    amennyiben biztosra akarsz menni, válts a 8.2-es verzióra:

  - `$ git checkout tags/v8.2`


## Hogyan kell létrehozni az 5 VM-et?
- Van vagrant a gépeden? Ha nincs a gyártó [weboldaláról](https://developer.hashicorp.com/vagrant/downloads) le tudod tölteni.

```
$ cd ansible_vagrant
$ vagrant up
```


## Hogyan kell lefuttatni az ansible playbookot?
- Van ansible a gépeden? Ha nincs:
  - `$ sudo yum install ansible -y`

    vagy
  - `$ sudo apt install ansible -y`

Ha nálad ezek nem működnek, nézd meg az ansible [weboldalát](https://docs.ansible.com/ansible/latest/installation_guide/intro_installation.html).


## Hogyan kell elindítani a zabbix konténereket (server, web, db)?
Nem figyeltél korábban? :-)

```
[msandor@msandorhp ~]$ cd git/ansible_vagrant/
[vagrant@zbxsrv ~]$ sudo docker compose -f docker/zabbix-server/docker-compose.yml up -d
[+] Running 4/4
 ✔ Network zabbix-server_customnetwork  Created                                     0.1s
 ✔ Container zabbix-server              Started                                     0.9s
 ✔ Container zabbix-web                 Started                                     0.9s
 ✔ Container zabbix-db                  Started                                     1.0s
[vagrant@zbxsrv ~]$
```


## Hogyan érem el a zabbix szerver weboldalát?
Indítsd el a kedvenc böngésződ, és nyisd meg ezt az URL-t: [http://192.168.56.6:888/](http://192.168.56.6:888/)
